Subject: Re: bug#9469: buffer-local variables seem to remember previous values

From: Helmut Eller <[email-masked]>
Date: Tue, 13 Sep 2011 17:00:57 +0200

* Stefan Monnier [2011-09-13 12:54] writes:

> I'd be happy to try and make it more clear to people who aren't familiar
> with it (after all, that's the main target audience here), but I'm not
> sure how.

I think a section "Lisp pitfalls" in the manual would be about right for
this.  That could contain examples and explanations like modifying
quoted lists or using #'delete without storing the result with setq and
other such misunderstandings.  Then add references from the description
for quote to the pitfalls section.

Helmut